• Русский
  • ClusterTriggerBinding [triggers.tekton.dev/v1beta1]

    Description
    ClusterTriggerBinding is a TriggerBinding with a cluster scope. ClusterTriggerBindings are used to represent TriggerBindings that should be publicly addressable from any namespace in the cluster.
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    Spec holds the desired state of the ClusterTriggerBinding from the client

    statusobject

    TriggerBindingStatus defines the observed state of TriggerBinding.

    .spec

    Description
    Spec holds the desired state of the ClusterTriggerBinding from the client
    Type
    object
    PropertyTypeDescription
    paramsarray

    Params defines the parameter mapping from the given input event.

    .spec.params

    Description
    Params defines the parameter mapping from the given input event.
    Type
    array

    .spec.params[]

    Description
    Param defines a string value to be used for a ParamSpec with the same name.
    Type
    object
    Required
    namevalue
    PropertyTypeDescription
    namestring
    valuestring

    .status

    Description
    TriggerBindingStatus defines the observed state of TriggerBinding.
    Type
    object

    API Endpoints

    The following API endpoints are available:

    • /apis/triggers.tekton.dev/v1alpha1/namespaces/{namespace}/clustertriggerbindings
      • DELETE: delete collection of ClusterTriggerBinding
      • GET: list objects of kind ClusterTriggerBinding
      • POST: create a new ClusterTriggerBinding
    • /apis/triggers.tekton.dev/v1alpha1/namespaces/{namespace}/clustertriggerbindings/{name}
      • DELETE: delete the specified ClusterTriggerBinding
      • GET: read the specified ClusterTriggerBinding
      • PATCH: partially update the specified ClusterTriggerBinding
      • PUT: replace the specified ClusterTriggerBinding
    • /apis/triggers.tekton.dev/v1alpha1/namespaces/{namespace}/clustertriggerbindings/{name}/status
      • GET: read status of the specified ClusterTriggerBinding
      • PATCH: partially update status of the specified ClusterTriggerBinding
      • PUT: replace status of the specified ClusterTriggerBinding

    /apis/triggers.tekton.dev/v1alpha1/namespaces/{namespace}/clustertriggerbindings

    HTTP method
    DELETE
    Description
    delete collection of ClusterTriggerBinding
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind ClusterTriggerBinding
    HTTP responses
    HTTP codeResponse body
    200 - OKClusterTriggerBindingList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new ClusterTriggerBinding
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyClusterTriggerBinding schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKClusterTriggerBinding schema
    201 - CreatedClusterTriggerBinding schema
    202 - AcceptedClusterTriggerBinding schema
    401 - UnauthorizedEmpty

    /apis/triggers.tekton.dev/v1alpha1/namespaces/{namespace}/clustertriggerbindings/{name}

    HTTP method
    DELETE
    Description
    delete the specified ClusterTriggerBinding
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified ClusterTriggerBinding
    HTTP responses
    HTTP codeResponse body
    200 - OKClusterTriggerBinding schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified ClusterTriggerBinding
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKClusterTriggerBinding schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified ClusterTriggerBinding
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyClusterTriggerBinding schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKClusterTriggerBinding schema
    201 - CreatedClusterTriggerBinding schema
    401 - UnauthorizedEmpty

    /apis/triggers.tekton.dev/v1alpha1/namespaces/{namespace}/clustertriggerbindings/{name}/status

    HTTP method
    GET
    Description
    read status of the specified ClusterTriggerBinding
    HTTP responses
    HTTP codeResponse body
    200 - OKClusterTriggerBinding schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified ClusterTriggerBinding
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKClusterTriggerBinding schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified ClusterTriggerBinding
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyClusterTriggerBinding schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKClusterTriggerBinding schema
    201 - CreatedClusterTriggerBinding schema
    401 - UnauthorizedEmpty